Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision c90b437dd8f0351564dd3ac7a269bb6d3d9c6523)
+++ ui/settingsdialog.ui	(revision ff8d0488a0ca07b4c25f2ba2c28eb134790ec5a1)
@@ -146,5 +146,5 @@
            <size>
             <width>0</width>
-            <height>0</height>
+            <height>1</height>
            </size>
           </property>
@@ -280,6 +280,6 @@
           <property name="sizeHint" stdset="0">
            <size>
-            <width>10</width>
-            <height>0</height>
+            <width>0</width>
+            <height>1</height>
            </size>
           </property>
@@ -295,262 +295,284 @@
         <string>Solution output settings</string>
        </attribute>
-       <layout class="QVBoxLayout" name="_6">
-        <item>
-         <widget class="QCheckBox" name="cbGenerateGraph">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Generate graphical representation of the solution</string>
-          </property>
-          <property name="text">
-           <string>Generate solution graph</string>
-          </property>
+       <layout class="QVBoxLayout" name="verticalLayout_2">
+        <item>
+         <widget class="QTabWidget" name="outputTabWidget">
+          <widget class="QWidget" name="tabOutputGeneral">
+           <attribute name="title">
+            <string>General</string>
+           </attribute>
+           <layout class="QVBoxLayout" name="_6">
+            <item>
+             <widget class="QCheckBox" name="cbGenerateGraph">
+              <property name="cursor">
+               <cursorShape>PointingHandCursor</cursorShape>
+              </property>
+              <property name="statusTip">
+               <string>Generate graphical representation of the solution</string>
+              </property>
+              <property name="text">
+               <string>Generate solution graph</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <layout class="QHBoxLayout" name="_10">
+              <property name="spacing">
+               <number>5</number>
+              </property>
+              <item>
+               <spacer name="spacer_7">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeType">
+                 <enum>QSizePolicy::Fixed</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>10</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item>
+               <widget class="QLabel" name="labelGraphImageFormat">
+                <property name="text">
+                 <string>Save solution graph as</string>
+                </property>
+                <property name="buddy">
+                 <cstring>comboGraphImageFormat</cstring>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <widget class="QComboBox" name="comboGraphImageFormat">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>What image format to use for graph when saving solution as HTML</string>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <spacer name="spacer_11">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>1</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+             </layout>
+            </item>
+            <item>
+             <layout class="QHBoxLayout" name="_14">
+              <item>
+               <spacer name="spacer_8">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeType">
+                 <enum>QSizePolicy::Fixed</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>10</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item>
+               <widget class="QCheckBox" name="cbEmbedGraphIntoHTML">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>Save solution graph inside HTML using data URI scheme (not supported by IE 7 and lower)</string>
+                </property>
+                <property name="text">
+                 <string>Embed solution graph into HTML</string>
+                </property>
+               </widget>
+              </item>
+             </layout>
+            </item>
+            <item>
+             <widget class="QCheckBox" name="cbShowMatrix">
+              <property name="cursor">
+               <cursorShape>PointingHandCursor</cursorShape>
+              </property>
+              <property name="statusTip">
+               <string>Show solution steps' matrices for every solution step</string>
+              </property>
+              <property name="text">
+               <string>Show solution steps' matrices</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <layout class="QHBoxLayout" name="_12">
+              <property name="spacing">
+               <number>0</number>
+              </property>
+              <item>
+               <spacer name="spacer_3">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeType">
+                 <enum>QSizePolicy::Fixed</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>10</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item>
+               <widget class="QCheckBox" name="cbCitiesLimit">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>Show or hide solution steps' matrices based on number of cities in the task</string>
+                </property>
+                <property name="text">
+                 <string>Only when &lt;=</string>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <widget class="QSpinBox" name="spinCitiesLimit">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>Maximum number of cities to show solution steps' matrices</string>
+                </property>
+                <property name="suffix">
+                 <string comment="Don't forget a space at the beginning!"> cities</string>
+                </property>
+                <property name="minimum">
+                 <number>1</number>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <spacer name="spacer_4">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>1</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+             </layout>
+            </item>
+            <item>
+             <widget class="QCheckBox" name="cbScrollToEnd">
+              <property name="cursor">
+               <cursorShape>PointingHandCursor</cursorShape>
+              </property>
+              <property name="statusTip">
+               <string>Scroll to the end of solution output after solving</string>
+              </property>
+              <property name="text">
+               <string>Scroll to solution end</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <spacer name="spacer_6">
+              <property name="orientation">
+               <enum>Qt::Vertical</enum>
+              </property>
+              <property name="sizeHint" stdset="0">
+               <size>
+                <width>0</width>
+                <height>1</height>
+               </size>
+              </property>
+             </spacer>
+            </item>
+           </layout>
+          </widget>
+          <widget class="QWidget" name="tabOutputColors">
+           <attribute name="title">
+            <string comment="Needs double &amp; or it won't be displayed!">Font &amp;&amp; Colors</string>
+           </attribute>
+           <layout class="QVBoxLayout" name="_11">
+            <item>
+             <layout class="QHBoxLayout" name="_13">
+              <item>
+               <widget class="QPushButton" name="buttonFont">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>Font face for solution output</string>
+                </property>
+                <property name="text">
+                 <string>&amp;Font...</string>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <widget class="QPushButton" name="buttonColor">
+                <property name="cursor">
+                 <cursorShape>PointingHandCursor</cursorShape>
+                </property>
+                <property name="statusTip">
+                 <string>Font color for solution output</string>
+                </property>
+                <property name="text">
+                 <string>&amp;Color...</string>
+                </property>
+               </widget>
+              </item>
+              <item>
+               <spacer name="spacer_5">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>1</width>
+                  <height>0</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+             </layout>
+            </item>
+            <item>
+             <spacer name="spacer_9">
+              <property name="orientation">
+               <enum>Qt::Vertical</enum>
+              </property>
+              <property name="sizeHint" stdset="0">
+               <size>
+                <width>0</width>
+                <height>1</height>
+               </size>
+              </property>
+             </spacer>
+            </item>
+           </layout>
+          </widget>
          </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_10">
-          <property name="spacing">
-           <number>5</number>
-          </property>
-          <item>
-           <spacer name="spacer_7">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QLabel" name="labelGraphImageFormat">
-            <property name="text">
-             <string>Save solution graph as</string>
-            </property>
-            <property name="buddy">
-             <cstring>comboGraphImageFormat</cstring>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QComboBox" name="comboGraphImageFormat">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>What image format to use for graph when saving solution as HTML</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="horizontalSpacer">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>0</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_14">
-          <item>
-           <spacer name="spacer_8">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QCheckBox" name="cbEmbedGraphIntoHTML">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Save solution graph inside HTML using data URI scheme (not supported by IE 7 and lower)</string>
-            </property>
-            <property name="text">
-             <string>Embed solution graph into HTML</string>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbShowMatrix">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Show solution steps' matrices for every solution step</string>
-          </property>
-          <property name="text">
-           <string>Show solution steps' matrices</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_12">
-          <property name="spacing">
-           <number>0</number>
-          </property>
-          <item>
-           <spacer name="spacer_3">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QCheckBox" name="cbCitiesLimit">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Show or hide solution steps' matrices based on number of cities in the task</string>
-            </property>
-            <property name="text">
-             <string>Only when &lt;=</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QSpinBox" name="spinCitiesLimit">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Maximum number of cities to show solution steps' matrices</string>
-            </property>
-            <property name="suffix">
-             <string comment="Don't forget a space at the beginning!"> cities</string>
-            </property>
-            <property name="minimum">
-             <number>1</number>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="spacer_4">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>0</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbScrollToEnd">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Scroll to the end of solution output after solving</string>
-          </property>
-          <property name="text">
-           <string>Scroll to solution end</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_11">
-          <item>
-           <widget class="QGroupBox" name="groupOutput">
-            <property name="title">
-             <string>Output font settings</string>
-            </property>
-            <layout class="QHBoxLayout" name="_13">
-             <item>
-              <widget class="QPushButton" name="buttonFont">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Font face for solution output</string>
-               </property>
-               <property name="text">
-                <string>&amp;Font...</string>
-               </property>
-              </widget>
-             </item>
-             <item>
-              <widget class="QPushButton" name="buttonColor">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Font color for solution output</string>
-               </property>
-               <property name="text">
-                <string>&amp;Color...</string>
-               </property>
-              </widget>
-             </item>
-             <item>
-              <spacer name="spacer_5">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>0</width>
-                 <height>0</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-            </layout>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <spacer name="spacer_6">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>0</width>
-            <height>0</height>
-           </size>
-          </property>
-         </spacer>
         </item>
        </layout>
